Smart Proxy - Support #3879

When start foreman-proxy,there is a WARNING
12/15/2013 02:46 AM - ice zheng

Status: Resolved
Priority: High
Assignee:

Category:

Target version:
Triaged: Found in Releases:

Fixed in Releases:

Description
Like this:

WARNING: Missing SSL setup, working in clear text mode !
from /usr/share/foreman-proxy/bin/../lib/smart_proxy.rb:51
My OS is CENTOS 6.4,foreman and foreman-proxy are the latest version.

please help me to fix it!

History

#1 - 12/16/2013 08:36 AM - Dominic Cleal
- Tracker changed from Bug to Support
- Project changed from Installer to Smart Proxy

- Status changed from New to Feedback

This indicates you haven't set up the SSL configuration in settings.yml. If you'd like it to use SSL, uncomment ssl_* in the proxy config file and it will
use it + the warning will go away. If you want to use plain HTTP for the proxy, just leave it as-is, the warning is fine.

#2 - 12/16/2013 04:21 PM - ice zheng

Thanks,now | install foreman though foreman-installer,but new problem happen.like this:

[ERROR 2013-12-16 23:25:39 verbose] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[hdpmaster.pku.com]: Could not evaluate: 500
Internal Server Error

Following is my foreman_proxy configuration,totally default:
1. Enable/disable foreman_proxy module, current value: true
2. Set puppet_group, current value: puppet

3. Set puppetrun_provider, current value:

4. Set dhcp_gateway, current value:
192.168.100.1

5. Set dhcp_leases, current value:
/var/lib/dhcpd/dhcpd.leases

6. Set dns_forwarders, current value:

7. Set oauth_consumer_secret, current value:
mcmKUNo2b8wed45HRW7BEZNH4e5vg5ba
8. Set user, current value: foreman-proxy

9. Set puppetca, current value: true

10. Set puppetrun_cmd, current value:
/usr/bin/puppet kick

11. Set dhcp_config, current value:
/etc/dhcp/dhcpd.conf

12. Set bmc_default_provider, current value:
ipmitool

13. Set foreman_base_url, current value:
https://hdpmaster.pku.com

14. Set gpgcheck, current value: true

15. Set port, current value: 8443

16. Set dir, current value:
/usr/share/foreman-proxy
-- press enter/return to continue or q to stop --
17. Set log, current value:
/var/log/foreman-proxy/proxy.log

18. Set dhcp_key_secret, current value:

19. Set dns_.interface, current value: ethO

20. Set use_sudoersd, current value: true

21. Set ssldir, current value:
/var/lib/puppet/ssl

22. Set register_in_foreman, current value:
true

23. Set oauth_effective_user, current value:
admin

24. Set custom_repo, current value: true

25. Set dhep_range, current value: false

26. Set dns, current value: false

27. Set oauth_consumer_key, current value:
WA770cifRMoWYRCS5BfJseCxzucRBQKT
28. Set ssl_cert, current value:
/var/lib/puppet/ssl/certs/hdpmaster.pku.com.pem
29. Set ssl_key, current value:
/var/lib/puppet/ssl/private_keys/hdpmaster.pku.com.pem
30. Set puppetdir, current value:

/etc/puppet

31. Set autosign_location, current value:
/etc/puppet/autosign.conf

-- press enter/return to continue or q to stop --
32. Set dhcp, current value: false

33. Set dhcp_managed, current value: true
34. Set dns_server, current value: 127.0.0.1
35. Set tftp_dirs, current value:
/var/lib/tftpboot//pxelinux.cfg/var/lib/tftpboot//boot
36. Set dns_reverse, current value:
100.168.192.in-addr.arpa

37. Set manage_sudoersd, current value: true
38. Set puppetrun, current value: true

39. Set tftp_syslinux_root, current value:
/usr/share/syslinux

40. Set tftp_servername, current value:
192.168.5.106

41. Set dhcp_vendor, current value: isc

42. Set dns_zone, current value: pku.com

43. Set ssl_ca, current value:
/var/lib/puppet/ssl/certs/ca.pem

44. Set tftp_syslinux_files, current value:
pxelinux.0menu.c32chain.c32memdisk

45. Set tftp_root, current value:
/var/lib/tftpboot/

46. Set dhcp_nameservers, current value:
default

47. Set bmc, current value: false

-- press enter/return to continue or q to stop --
48. Set registered_proxy_url, current value:
https://hdpmaster.pku.com:8443

49. Set repo, current value: stable

50. Set puppetca_cmd, current value:
/usr/bin/puppet cert

51. Set tftp, current value: true

52. Set dhcp_interface, current value: ethO
53. Set dhcp_key_name, current value:

54. Set dns_managed, current value: true
55. Set registered_name, current value:
hdpmaster.pku.com

56. Set ssl, current value: true

57. Set trusted_hosts, current value:

58. Set keyfile, current value:

/etc/rndc.key

How can | fix it?
#3 - 12/16/2013 04:37 PM - Dominic Cleal

Check /var/log/foreman/production.log and use that to work out what the problem is, the 500 internal server error is coming from Foreman. Also
check the interface is working etc.
#4 - 12/23/2013 04:38 PM - ice zheng
- File Ruby (Rack) application could not be started.jpg added

| check the interface,visit foreman's home page,it notice that Ruby(Rack)application could not be started,like Screenprint.what's wrong with it?

#5 - 01/02/2014 03:20 PM - Dominic Cleal

ice zheng wrote:

| check the interface,visit foreman's home page,it notice that Ruby(Rack)application could not be started,like Screenprint.what's wrong with it?

Check the Passenger configuration as listed in http:/theforeman.org/manuals/1.3/index.html#3.3.2SoftwareCollections. | suspect you have either:

a) the wrong RPMs installed, check all seven (listed in the manual) are present and all version 4.0.5
b) missing PassengerRuby from /etc/httpd/conf.d/foreman.conf, which our installer installs

#6 - 05/17/2017 06:37 AM - Anonymous

- Status changed from Feedback to Resolved

No reaction, closing.
